micro_utils.dokka
0.15.1

# KeyValueBasedVersionsRepoProxy

class KeyValueBasedVersionsRepoProxy<T>(keyValueStore: KeyValueRepo<String, Int>, val database: T) : StandardVersionsRepoProxy<T>

## Constructors

KeyValueBasedVersionsRepoProxy
Link copied to clipboard
fun <T> KeyValueBasedVersionsRepoProxy(keyValueStore: KeyValueRepo<String, Int>, database: T)

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion(tableName: String): Int?
updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion(tableName: String, version: Int)

## Properties

database
Link copied to clipboard
open override val database: T